list support packages for a device.md
List support packages for a device
GET https://app.mk.io/api/v1/projects/{project_name}/fleet/devices/{name}/supportPackages
Returns up to 5 support packages currently retained in blob storage for the specified device, newest first. The device's current support package operation status is also included.
RBAC Capability Required: fleet.device.get
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
name |
string | Yes | — |
Example request
curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/fleet/devices/{name}/supportPackages" \
-H "Authorization: Bearer <token>"
Responses
200 — List of support packages.
@odata.nextLink· string · Optional — @odata.nextLink URL if the page length and number of items match.supplemental· object · Required — Supplemental infocount· integer · Required — Number of items returnedkind· string · Required — Type of items in the listoperation· string · Required — Operation type. Should always say 'list'pagination· object · Required — Pagination infoend· integer · Required — Position of the last item in the listrecords· integer · Required — Total number of items returned in the liststart· integer · Required — Position of the first item in the listtotal· integer · Required — Total number of items in the project
subscription· object · Optional — Project infoid· string · Required — Project IDname· string · Required — Project name
value· list of objects · Required — List of support packages.- Array items (object):
metadata· object · Required — Support package metadata.created· string or null · Optional — ISO 8601 creation timestamp of the support package.description· string · Optional — A description of the support package content.device· string · Optional — The device name this package belongs to.friendlyName· string · Optional — The human-friendly name of the support package.name· string · Required — The name of the support package.size· integer or null · Optional — The size of the support package in bytes.
- Array items (object):
Example:
{
"@odata.nextLink": "string",
"supplemental": {
"count": 0,
"kind": "string",
"operation": "string",
"pagination": {
"end": 0,
"records": 0,
"start": 0,
"total": 0
},
"subscription": {
"id": "string",
"name": "string"
}
},
"value": [
{
"metadata": {
"created": "string",
"description": "string",
"device": "string",
"friendlyName": "string",
"name": "string",
"size": 0
}
}
]
}
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}